#!/usr/bin/env python3
from .db import db
from sqlalchemy.sql import func


class Details(db.Model):
    id = db.Column(db.Integer, primary_key=True, auto_increment=True)
    name = db.Column(db.String(30), key=True)
    timestamp = db.Column(db.TIMESTAMP, nullable=False, server_default=func.now())

    mid_window = db.Column(db.Float)
    mid_step = db.Column(db.Float)
    short_window = db.Column(db.Float)
    short_step = db.Column(db.Float)
    compute_beat = db.Column(db.Float)
    type = db.Column(db.String(15))